geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From han hongfang <hanhongf...@gmail.com>
Subject Re: [Vote] Geronimo Eclipse Plugin (GEP) 3.0-beta-1 RC1.
Date Thu, 24 Nov 2011 02:24:37 GMT
Hi Kevan,

Is your mac 32bit or 64bit?  GEP 3.0-beta-1 uses maven-eclipsepde-plugin
v1.1, which doesn't include following fix.
- https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-674 Could not
build GEP3.0 under macos-64bit

And what's your maven version? Please use maven 2.2.1 to build GEP
3.0-beta-1 tag since GERONIMODEVTOOLS-694 is still open.
https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-694 Can not build
GEP with maven 3.0

I tried but failed to find a machine with mac 32bit os. Anyone has mac 32
bit os? could you please kindly have a try to build
https://svn.apache.org/repos/asf/geronimo/devtools/eclipse-plugin/tags/geronimo-eclipse-plugin-3.0-beta-1

On Wed, Nov 23, 2011 at 3:35 AM, Kevan Miller <kevan.miller@gmail.com>wrote:

>
> On Nov 22, 2011, at 1:49 AM, han hongfang wrote:
>
> >
> >
> > So far, I can't get a build to work. I'm getting:
> >
> > [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile
> (default-compile) on project org.apache.geronimo.runtime.common:
> Compilation failure: Compilation failure:
> > [ERROR]
> /Users/kevan/tmp/release/geronimo-eclipse-plugin-3.0-beta-1/plugins/org.apache.geronimo.runtime.common/src/main/java/org/apache/geronimo/runtime/common/log/Logger.java:[21,31]
> package org.eclipse.core.runtime does not exist
> > ...
> >
> > What's your os?
>
> Mac OS Lion.
>
> --kevan
>
>
>


-- 
Best regards,

Han Hong Fang (Janet)
hanhongfang AT apache.org

Mime
View raw message